part of 'type_of_road_bloc.dart';

class TypeOfRoadState extends Equatable {
  const TypeOfRoadState();

  @override
  List<Object> get props => [];
}

class TypeOfRoadInitial extends TypeOfRoadState {}

class TypeOfRoadLoading extends TypeOfRoadState {}

class TypeOfRoadLoaded extends TypeOfRoadState {
  TypeOfRoadLoaded(this.road_type);
  final List<TypeOfRoad> road_type;

  @override
  List<Object> get props => [road_type];
}

class TypeOfRoadErrorState extends TypeOfRoadState {
  TypeOfRoadErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
